## avidemux-dmo 2.8.1+20250608.git5f89c99

=== avidemux/cli/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 3.20)
SET(CMAKE_EXPORT_COMPILE_COMMANDS ON)
# for MSVC we use vcpk, it is complicated way of detecting it
# because we have to do it before PROJECT(...)
IF(EXISTS "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake")
  SET(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake")
  MESSAGE(STATUS "Using MSVC VCPKG setup <${CMAKE_TOOLCHAIN_FILE}>")
ENDIF()


PROJECT(Avidemux_CLI)
SET(UI_TYPE ADM_UI_CLI)
MESSAGE("")
MESSAGE("#########################################")
MESSAGE("Configure for Avidemux CLI Started")
MESSAGE("#########################################")
MESSAGE("")
MESSAGE(STATUS "Checking for avidemux development files ..")

LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
IF(NOT FAKEROOT)
  SET(AVIDEMUX_FAKEROOT "")
ELSE()
  SET(AVIDEMUX_FAKEROOT "${FAKEROOT}")
ENDIF()
INCLUDE(avidemux_cli_api)
SET(ADM_HEADER_DIR ${AVIDEMUX_FAKEROOT}${CMAKE_INSTALL_PREFIX}/include/avidemux/${AVIDEMUX_API_VERSION})
SET(ADM_CMAKE_DIR  ${ADM_HEADER_DIR}/cmake)
LIST(APPEND CMAKE_MODULE_PATH ${ADM_CMAKE_DIR})
MESSAGE(STATUS  "Cmake search folder : ${CMAKE_MODULE_PATH}")
#
# Sanity check
#
MESSAGE(STATUS  "Checking if avidemux include folder exists as  ${ADM_HEADER_DIR}")
MESSAGE(STATUS  "  ( CMAKE_INSTALL_PREFIX/include/avidemux/${AVIDEMUX_API_VERSION})")
IF(NOT EXISTS "${ADM_HEADER_DIR}")
  MESSAGE(STATUS  "Make sure you installed all the files.\n i cannot find avidemux include folder.cmake .\nSet CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
  MESSAGE(FATAL_ERROR  "Aborting")
ENDIF()

MESSAGE(STATUS "Found avidemux include folder. good.")
MESSAGE(STATUS "Checking for cmake subfolder")

IF(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
  MESSAGE(STATUS  "Make sure you installed all the files.\n I cannot find content of the cmake subfolder .\n")
  MESSAGE(STATUS  "Set CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
  MESSAGE(STATUS  "I was looking for commonCmakeApplication.cmake in  ${ADM_CMAKE_DIR}")
  MESSAGE(FATAL_ERROR  "Aborting")
ENDIF()
MESSAGE(STATUS "Found cmake subfolder. good.")

#
# Go
#
INCLUDE(avidemuxVersion)
INCLUDE(admFFmpegVersion)
MESSAGE(STATUS "Building agains version ${AVIDEMUX_VERSION} with fflibs ${FFMPEG_VERSION}")

IF(WIN32)
  IF(MSVC)
    INCLUDE(adm_win32_vs)
  ELSE()
    INCLUDE(adm_win32_mingw)
  ENDIF()
ELSE()
  IF(APPLE)
    # Silence missing nullability specifier warnings on macOS
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-nullability-completeness")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-nullability-completeness")
    INCLUDE(adm_osx)
  ELSE()
    INCLUDE(adm_default)
  ENDIF()
ENDIF()
#-----------------------------------
# Set extra libs, system dependant
#-----------------------------------
ADM_PREBUILD()
#______________________________________

INCLUDE(commonCmakeApplication)
INCLUDE(admWindRes)
ADD_SUBDIRECTORY(ADM_commonUI)
#
ADD_EXECUTABLE(avidemux3_cli)
TARGET_SOURCES(avidemux3_cli PRIVATE ${ADM_EXE_SRCS})
TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE adm_gettext)
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Config
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
ADD_DEFINITIONS(-DADM_UI_TYPE_BUILD=ADM_UI_CLI)
SET(CONFIG_HEADER_TYPE ADM_BUILD_CLI)
SET(UI_SUFFIX cli)

CONFIGURE_FILE("${ADM_CMAKE_DIR}/config.h.cmake" "${CMAKE_BINARY_DIR}/config/cli/config.h")
MESSAGE(STATUS "CLI config.h generated")

INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/config/cli/")
INCLUDE_DIRECTORIES(ADM_render_cli)

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Add subdirectories
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
ADD_SUBDIRECTORY(../common ./common)
ADD_SUBDIRECTORY(ADM_UIs ./ADM_UIsCli)
ADD_SUBDIRECTORY(ADM_userInterfaces ./ADM_userInterfacesCli)

SDLify(../common/main.cpp)
IF(ADM_SUBVERSION)
  ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_SUBVERSION=\"${ADM_SUBVERSION}\"")
  ADD_SOURCE_CFLAGS(../common/main.cpp "-DFFMPEG_VERSION=\"${FFMPEG_VERSION}\"")
ENDIF()
ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_VERSION=\"${AVIDEMUX_VERSION}\"")

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Version Info
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
IF(WIN32)
  WINDRESIFY(mainCLI  "${CMAKE_CURRENT_SOURCE_DIR}/../common/xpm/adm.ico" src "avidemux_cli" "Avidemux Video Editor, CLI Version")
  TARGET_SOURCES(avidemux3_cli PRIVATE ${src})
ENDIF()

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Executable
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Construct common libraries
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

MACRO(LINKBUNCH lst)
  TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE ${lst} ${ARGN})
ENDMACRO()
ADD_SUBDIRECTORY(ADM_render_cli)
TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE ADM_editor6_interface ADM_videoEncoder6_interface ADM_videoFilter6_interface )
LINKBUNCH(${commonLibs1})
TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE ADM_filtersCli6)
LINKBUNCH(${commonLibs2})
LINKBUNCH(${coreLibs})

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Add gtk specific libs
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE
  ADM_UI_Cli6
  ADM_dialogCli6
  ADM_toolkit6
  ADM_coreAudio6
  ADM_coreUtils6
  ADM_gui2Cli6
  ADM_toolkitCli6
  ADM_shellCli
  ADM_render6_cli
  ADM_coreVideoFilter6
)
#
TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE ADM_commonUI6_CLI)

# SDL
IF(USE_SDL)
  TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE ${SDL2_LIBRARY} ${SDL2_MAIN})
ENDIF()

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# OS Specific
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
IF(WIN32 OR APPLE)
  SET_PROPERTY(TARGET avidemux3_cli PROPERTY OUTPUT_NAME avidemux_cli)
ENDIF()

IF(MINGW)
  TARGET_LINK_LIBRARIES(avidemux3_cli PRIVATE winmm -mwindows -Wl,-subsystem,console -Wl,--export-all-symbols)
ENDIF()

# Needed by RubberBand
IF(APPLE)
  #target_link_libraries(avidemux3_cli "-framework Accelerate")
  # Silence missing nullability specifier warnings on macOS
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-nullability-completeness")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-nullability-completeness")
ENDIF()

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Install
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
ADM_LINK_THREAD(avidemux3_cli)
ADM_INSTALL_BIN(avidemux3_cli)

DISPLAY_SUMMARY_LIST()

INCLUDE(admPackager)
admPackager(cliPackage)
INSTALL(FILES ${CMAKE_BINARY_DIR}/config/cli/config.h DESTINATION "${AVIDEMUX_INSTALL_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli" COMPONENT dev)
INSTALL(FILES ${CMAKE_SOURCE_DIR}/ADM_UIs/include/ADM_UI_Cli6_export.h DESTINATION "${AVIDEMUX_INSTALL_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli/ADM_UIs" COMPONENT dev)
MESSAGE("")

=== avidemux_core/ADM_coreAudioEncoder/src/CMakeLists.txt ===


SET(ADM_LIB ADM_coreAudioEncoder6)
ADM_ADD_SHARED_LIBRARY(${ADM_LIB})
TARGET_SOURCES(${ADM_LIB} PRIVATE audioencoder.cpp)

TARGET_LINK_LIBRARIES(${ADM_LIB} PUBLIC ADM_core6 ADM_coreAudio6 ADM_coreAudioFilterAPI6 ADM_coreUI6)
TARGET_INCLUDE_DIRECTORIES(${ADM_LIB} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../include)

ADM_INSTALL_LIB(${ADM_LIB})

=== avidemux_core/ADM_coreVideoEncoder/ADM_hwAccelEncoder/CMakeLists.txt ===
UNSET(CMAKE_CXX_VISIBILITY_PRESET)
UNSET(CMAKE_VISIBILITY_INLINES_HIDDEN)

IF(USE_LIBVA)
ADD_SUBDIRECTORY(ADM_coreLibVAEnc)
ENDIF(USE_LIBVA)

=== avidemux_core/ADM_coreVideoEncoder/src/CMakeLists.txt ===

SET(ADM_LIB ADM_coreVideoEncoder6 )
ADM_ADD_SHARED_LIBRARY(${ADM_LIB})
TARGET_SOURCES(${ADM_LIB} PRIVATE
  ADM_coreVideoEncoder.cpp
  ADM_coreVideoEncoderFFmpeg.cpp
)

TARGET_LINK_LIBRARIES(${ADM_LIB} PUBLIC
  ADM_core6 ADM_coreUtils6 ADM_coreImage6 ADM_libavcodec ADM_libavutil)
TARGET_INCLUDE_DIRECTORIES(${ADM_LIB} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../include)

ADM_INSTALL_LIB(${ADM_LIB})

=== avidemux_core/ADM_coreVideoFilter/src/CMakeLists.txt ===

SET(ADM_LIB ADM_coreVideoFilter6)
ADM_ADD_SHARED_LIBRARY(${ADM_LIB})
TARGET_SOURCES(${ADM_LIB} PRIVATE
  ADM_coreVideoFilter.cpp
  ADM_videoFilterCache.cpp
)

TARGET_LINK_LIBRARIES(${ADM_LIB} PUBLIC ADM_core6 ADM_coreImage6)
TARGET_INCLUDE_DIRECTORIES(${ADM_LIB} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../include)

ADM_INSTALL_LIB(${ADM_LIB})

=== avidemux_plugins/ADM_audioDevices/PulseAudioSimple/CMakeLists.txt ===
INCLUDE(av_plugin)


SET(ADM_av_pulseAudioSimple_SRCS ADM_devicePulseSimple.cpp)

ADD_AUDIO_DEVICE(ADM_av_pulseAudioSimple  ${ADM_av_pulseAudioSimple_SRCS})
ADD_DEFINITIONS(${PULSEAUDIOSIMPLE_DEFINITIONS})
TARGET_LINK_LIBRARIES(ADM_av_pulseAudioSimple PRIVATE ${PULSEAUDIOSIMPLE_LIBRARIES} pulse)
MESSAGE(STATUS "HACK : we need both libpulse and libpulse-simple when using -W-l,-z,defs")
MESSAGE("")
INIT_AUDIO_DEVICE(ADM_av_pulseAudioSimple)
INSTALL_AUDIO_DEVICE(ADM_av_pulseAudioSimple)

=== avidemux_plugins/ADM_audioEncoders/aften/CMakeLists.txt ===
INCLUDE(ae_plugin)

SET(ADM_ae_aften_SRCS audioencoder_aften.cpp)

ADD_AUDIO_ENCODER(ADM_ae_aften ${ADM_ae_aften_SRCS})

TARGET_LINK_LIBRARIES(ADM_ae_aften  PRIVATE ${AFTEN_LIBRARY_DIR})

ADD_TARGET_CFLAGS(ADM_ae_aften "-I${AFTEN_INCLUDE_DIR}")

if(USE_AFTEN_08)
  ADD_DEFINITIONS(-DAFTEN_08)
endif(USE_AFTEN_08)

INIT_AUDIO_ENCODER(ADM_ae_aften)
INSTALL_AUDIOENCODER(ADM_ae_aften)

=== avidemux_plugins/ADM_audioEncoders/dcaenc/CMakeLists.txt ===
INCLUDE(ae_plugin)

SET(ADM_ae_dcaenc_SRCS audioencoder_dcaenc.cpp )

ADD_AUDIO_ENCODER(ADM_ae_dcaenc ${ADM_ae_dcaenc_SRCS})

TARGET_LINK_LIBRARIES(ADM_ae_dcaenc  PRIVATE ${DCAENC_LIBRARY_DIR})

ADD_TARGET_CFLAGS(ADM_ae_dcaenc "-I${DCAENC_INCLUDE_DIR}")

INIT_AUDIO_ENCODER(ADM_ae_dcaenc)
INSTALL_AUDIOENCODER(ADM_ae_dcaenc)

=== avidemux_plugins/ADM_audioEncoders/pcm/CMakeLists.txt ===
INCLUDE(ae_plugin)

SET(ADM_ae_pcm_SRCS audioencoder_pcm.cpp)

ADD_AUDIO_ENCODER(ADM_ae_pcm ${ADM_ae_pcm_SRCS})

INIT_AUDIO_ENCODER(ADM_ae_pcm)
INSTALL_AUDIOENCODER(ADM_ae_pcm)

=== avidemux_plugins/ADM_videoEncoder/ffMsMpeg4/CMakeLists.txt ===
INCLUDE(ve_plugin)

SET(ffMsMp4_SRCS
        ffMsMp4Plugin.cpp
        ADM_ffMsMp4.cpp
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

ADD_VIDEO_ENCODER(ADM_ve_ffMsMp4  ${ffMsMp4_SRCS})

INIT_VIDEO_ENCODER(ADM_ve_ffMsMp4)
INSTALL_VIDEO_ENCODER(ADM_ve_ffMsMp4)
TARGET_LINK_LIBRARIES(ADM_ve_ffMsMp4 PRIVATE ADM_libavcodec ADM_libavutil)
INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/")

=== avidemux_plugins/ADM_videoFilters/McDeint/CMakeLists.txt ===
INCLUDE(vf_plugin)

INCLUDE_DIRECTORIES("${AVIDEMUX_SOURCE_DIR}/avidemux/")
SET(ADM_vf_mcdeint_SRCS ADM_vidMcDeint.cpp)

ADD_LIBRARY(ADM_vf_mcdeint SHARED ${ADM_vf_mcdeint_SRCS})
TARGET_LINK_LIBRARIES(ADM_vf_mcdeint PRIVATE ADM_libavcodec)

INIT_VIDEOFILTER_PLUGIN(ADM_vf_mcdeint)
INSTALL_VIDEOFILTER(ADM_vf_mcdeint)

=== avidemux_plugins/ADM_videoFilters6/artCartoon/CMakeLists.txt ===
INCLUDE(vf_plugin)


SET(ArtCartoonCommon_SRCS 
ADM_vidArtCartoon.cpp  
)
# ---------- QT4 Version ----------------
INCLUDE(vf_plugin_qt4)
SET(ArtCartoonQT_SRCS  qt4/Q_artCartoon.cpp)
SET(ArtCartoonQT_HEADERS  qt4/Q_artCartoon.h)
SET(ArtCartoonQT_UI    qt4/artCartoon)
INIT_VIDEO_FILTER_QT4(ADM_vf_artCartoon${QT_LIBRARY_EXTENSION} ${ArtCartoonQT_SRCS} ${ArtCartoonQT_HEADERS} ${ArtCartoonQT_UI} ${ArtCartoonCommon_SRCS} qt4/DIA_flyArtCartoon.cpp)

# /QT4



#------------ Cli Version ----------------
INCLUDE(vf_plugin_cli)
SET(ArtCartoonCli_SRCS cli/DIA_artCartoon.cpp)
INIT_VIDEO_FILTER_CLI(  ADM_vf_artCartoonCli ${ArtCartoonCli_SRCS} ${ArtCartoonCommon_SRCS})
#

=== debian/changelog ===
avidemux-dmo (1:2.8.1+20250608.git5f89c99-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 7.0.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 07:36:48 +0200

avidemux-dmo (1:2.8.1+20250608.git5f89c99-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Move *.py files from avidemux-common to  avidemux-plugins package

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jun 2025 10:41:05 +0200

avidemux-dmo (1:2.8.1+20250521.gitea2acac-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 08:02:03 +0200

avidemux-dmo (1:2.8.1+20250520.gitfc61cec-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2025 09:28:32 +0200

avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Apr 2025 08:30:00 +0200

avidemux-dmo (1:2.8.1+20250328.gitef64be5a7-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Remove 07_fix-install-path.patch merged upstrem
  * Enable/disable nvenc detection in debian/rules for amd64 and arm64
    arches

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 17:20:52 +0100

avidemux-dmo (1:2.8.1+20250316.git7fea4c667-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 11:30:33 +0100

avidemux-dmo (1:2.8.1+20250225.git7ce3e44b6-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Fix Exec field (avidemux3_qt5 --> avidemux3_qt6) in
    org.avidemux.Avidemux.desktop

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Feb 2025 00:46:07 +0100

avidemux-dmo (1:2.8.1+20250208.git085d19fe8-dmo2) unstable; urgency=medium

  * Update binary name avidemux3_qt5 --> avidemux3_qt6 in avidemux-qt.links,
    avidemux-qt.postinst and avidemux-qt.prerm

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Feb 2025 10:22:43 +0100

avidemux-dmo (1:2.8.1+20250208.git085d19fe8-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Build with Qt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Feb 2025 09:07:38 +0100

avidemux-dmo (1:2.8.1+20250109.git08860c2d1-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 09:59:13 +0100

avidemux-dmo (1:2.8.1+20241226.gitce994de41-dmo2) unstable; urgency=medium

  * Restore 07_Fix-armel-armhf-with-binutils-2.43 patch to fix build for
    armel and armhf arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Dec 2024 11:54:38 +0100

avidemux-dmo (1:2.8.1+20241226.gitce994de41-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Dec 2024 09:52:51 +0100

avidemux-dmo (1:2.8.1+20241123.gitb74c1a154-dmo1) unstable; urgency=medium

  * Git checkout master

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Oct 2024 14:43:37 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo8) unstable; urgency=medium

  * Restore 04_ppc-support patch from -6 (a file has been lost).
  * Add nv-codec-headers to Build-Conflicts:

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 16:50:30 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 4.4.5
  * Disable nvenc (Not supported by ffmpeg)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 15:36:37 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo6) unstable; urgency=medium

  * Build with libvpx9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2024 11:25:33 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo5) unstable; urgency=medium

  * Build with libx265-209
  * Included ffmpeg is too old to work with latest nv-codec-headers
    12.1.14.0, so disable nvenc. BTW latest avidemux release 2.8.1 is a
    year and a half old.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Apr 2024 14:45:47 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 16:36:59 +0100

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo3) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 00:59:53 +0200

=== debian/control ===
Source: avidemux-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://fixounet.free.fr/avidemux/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
 libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
 libxml2-dev, libasound2-dev [linux-any], libsdl2-dev, libxv-dev, libxmu-dev,
 libvdpau-dev, libfaac-dev (>= 1.24), libfaad-dev (>= 2.7), libass-dev,
 cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
 libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
 yasm [amd64 i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
 libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig-dev,
 libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
 libpython3-dev, libx265-dev (>= 1:2.8~), libaom-dev,
 nv-codec-headers [amd64 arm64], qt6-base-dev,

Package: avidemux
Architecture: any
Depends: ${misc:Depends}, avidemux-qt,
Description: Free video editor
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package install the QT version.

Package: avidemux-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version}),
Recommends: mjpegtools, twolame, lame,
Replaces: avidemux (<< 1:2.5.6-dmo11),
Provides: avidemux
Description: Free video editor (QT version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the QT version.

Package: avidemux-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version}),
Recommends: mjpegtools, twolame, lame,
Provides: avidemux
Description: Free video editor (command line version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line version.

Package: avidemux-common
Architecture: all
Depends: ${misc:Depends},
Replaces: avidemux (<= 1:2.4.0-0.0)
Description: Free video editor (Internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains internationalization files needed to translate
 strings in avidemux to others languages.

Package: avidemux-plugins
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: libavidemux, avidemux (<= 1:2.5.1-0.4), avidemux-common (<= 1:2.8.1+20250608.git5f89c99-dmo1)
Conflicts: libavidemux
Description: Free video editor (plugins)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionality of Avidemux.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq (,$(filter-out amd64 arm64,$(DEB_HOST_ARCH_CPU)))
	CONFIGURE_OPTIONS=-DNVENC=ON
else
	CONFIGURE_OPTIONS=-DNVENC=OFF
endif

CONFIGURE_OPTIONS += -DUSE_EXTERNAL_LIBASS=ON \
		-DUSE_EXTERNAL_LIBA52=ON \
		-DUSE_EXTERNAL_LIBMAD=ON \
		-DUSE_EXTERNAL_MP4V2=ON \
		-DENABLE_QT6=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DVAPOURSYNTH=OFF

##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False

# git clone https://github.com/mean00/avidemux2_i18n avidemux/qt4/i18n/
# rm -rf avidemux/qt4/i18n/.git

FFMPEG_VERSION = $(shell grep FFMPEG_VERSION avidemux_core/cmake/admFFmpegVersion.cmake | cut -d'"' -f2)

ifneq "$(FFMPEG_VERSION)" "7.0.2"
	exit 1
endif

LOCAL_FFMPEG = 7-0-3

# ninja doesn't work 04/04/2023

#
# In some case CRLF must be removed from *.c *.cpp *.h files
# Otherwise the build may fail. fromdos is in the tofrodos package.
#
# find . \( -name "*.c" -o -name "*.h" -o -name "*.cpp" -name "makefile" \) -print0 | xargs -0 fromdos

%:
	dh $@ -Scmake --with quilt -X.h -X.cmake

override_dh_auto_configure:
	mkdir -p buildCore/ffmpeg/build
	mkdir buildCore/ffmpeg/source
	touch buildCore/ffmpeg/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	touch avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	cp -r ffmpeg-$(LOCAL_FFMPEG)/* buildCore/ffmpeg/source

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCore -Davidemux_core -- \
	$(CONFIGURE_OPTIONS) -Wno-dev

#	exit 1

	cd buildCore && $(MAKE) -j $(NCPUS)
	dh_auto_install -BbuildCore

#	exit 1

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt6 -Davidemux/qt4 -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildQt6
	dh_auto_install -BbuildQt6

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCommon -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DLIBDIR=/usr/lib \
	-DPLUGIN_UI=COMMON -Wno-dev

	dh_auto_build -BbuildPluginsCommon
	dh_auto_install -BbuildPluginsCommon

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCli -Davidemux/cli -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildCli
	dh_auto_install -BbuildCli

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt6 -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=QT4 -Wno-dev

	dh_auto_build -BbuildPluginsQt6
	dh_auto_install -BbuildPluginsQt6

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCLI -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=CLI -Wno-dev

	dh_auto_build -BbuildPluginsCLI
	dh_auto_install -BbuildPluginsCLI

override_dh_install:
	rm -rf debian/tmp/usr/lib/*/ADM_plugins6/shaderDemo/
	rm -rf debian/tmp/usr/include/avidemux

	dh_install

override_dh_auto_clean:
	dh_auto_clean -BbuildCore
	dh_auto_clean -BbuildQt6
	dh_auto_clean -BbuildCli
	dh_auto_clean -BbuildPluginsCommon
	dh_auto_clean -BbuildPluginsQt6
	dh_auto_clean -BbuildPluginsCLI

override_dh_clean:
	dh_clean addons/avisynthproxy/avsproxy.exe avidemux/winInstaller/plugin/UAC.dll \
	avidemux_plugins/ADM_demuxers/NativeAvisynth/AviSynth.dll \
	avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml \
	avidemux/qt4/common avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2 \
	avidemux_plugins/ADM_videoFilters6/avsfilter/avsload_pipe_binary.tar.bz2 \
	ffmpeg-*/config.h

override_dh_makeshlibs:
	dh_makeshlibs -a -V

# uncomment to debug avidemux
#override_dh_strip:

override_dh_prep override_dh_auto_build override_dh_auto_install override_dh_auto_test:
